package cc.smtweb.system.bpm.util;

import lombok.Getter;


/**
 * 数据库需要存储
 * fileId, fileTime, subPath + fileName
 */
@Getter
public class FilePathInfo {
    // 文件ID
    private long fileId;
    // 文件创建时间，数据库需要存储
    private long fileTime;
    // 文件子路径
    private String subPath;
    // 文件名
    private String fileName;
    // 本地根路径
    private String rootPath;

    public FilePathInfo(String rootPath, String subPath, long fileTime, String fileName, long fileId) {
        this.rootPath = rootPath;
        this.subPath = subPath;
        this.fileTime = fileTime;
        this.fileName = fileName;
        this.fileId = fileId;
    }

    /**
     * 获取本地需要存储的文件全路径
     */
    public String getFullFileName() {
        return getDiskFilePath();
    }

    public String getDiskFilePath() {
        return this.rootPath + subPath + fileName;
    }

    /**
     * 获取数据库存储需要的文件全路径
     */
    public String getMysqlFilePath() {
        return subPath + fileName;
    }
}
